
From: Gerd Knorr <kraxel@bytesex.org>

Make sure the fbdev sysfs class is registered before all drivers, otherwise
some symlinks are missing.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/fbmem.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/video/fbmem.c~fbdev-sysfs-fix drivers/video/fbmem.c
--- 25/drivers/video/fbmem.c~fbdev-sysfs-fix	2004-12-07 10:01:20.786918480 -0800
+++ 25-akpm/drivers/video/fbmem.c	2004-12-07 10:01:20.790917872 -0800
@@ -1166,7 +1166,7 @@ fbmem_init(void)
 	}
 	return 0;
 }
-module_init(fbmem_init);
+subsys_initcall(fbmem_init);
 
 static char *video_options[FB_MAX];
 static int ofonly;
_
